package com.hw.dms.service;

import java.util.List;
import com.hw.dms.domain.DmsBaseDeviceBom;

/**
 * 设备BOM信息Service接口
 *
 * @author xins
 * @date 2023-12-28
 */
public interface IDmsBaseDeviceBomService
{
    /**
     * 查询设备BOM信息
     *
     * @param deviceBomId 设备BOM信息主键
     * @return 设备BOM信息
     */
    public DmsBaseDeviceBom selectDmsBaseDeviceBomByDeviceBomId(Long deviceBomId);

    /**
     * 查询设备BOM信息列表
     *
     * @param dmsBaseDeviceBom 设备BOM信息
     * @return 设备BOM信息集合
     */
    public List<DmsBaseDeviceBom> selectDmsBaseDeviceBomList(DmsBaseDeviceBom dmsBaseDeviceBom);

    /**
     * 新增设备BOM信息
     *
     * @param dmsBaseDeviceBom 设备BOM信息
     * @return 结果
     */
    public int insertDmsBaseDeviceBom(DmsBaseDeviceBom dmsBaseDeviceBom);

    /**
     * 修改设备BOM信息
     *
     * @param dmsBaseDeviceBom 设备BOM信息
     * @return 结果
     */
    public int updateDmsBaseDeviceBom(DmsBaseDeviceBom dmsBaseDeviceBom);

    /**
     * 批量删除设备BOM信息
     *
     * @param deviceBomIds 需要删除的设备BOM信息主键集合
     * @return 结果
     */
    public int deleteDmsBaseDeviceBomByDeviceBomIds(Long[] deviceBomIds);

    /**
     * 删除设备BOM信息信息
     *
     * @param deviceBomId 设备BOM信息主键
     * @return 结果
     */
    public int deleteDmsBaseDeviceBomByDeviceBomId(Long deviceBomId);

    /**
     * 通过类型查询bom信息
     * */
    List<DmsBaseDeviceBom> selectBomByDeviceType(String deviceType);



}
